#
# spec file for package apache2-mod_spamhaus (Version 0.7)
#
#

# norootforbuild

Name:         apache2-mod_spamhaus

%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires: httpd-devel
%endif

%if 0%{?suse_version}
BuildRequires: apache2-devel
%endif
%define modname mod-spamhaus

%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
%define apxs /usr/sbin/apxs
%endif
%if 0%{?suse_version}
%define apxs /usr/sbin/apxs2
%endif

%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:      0.7
Release:      4.1
License:      GPL
Group:        Productivity/Networking/Web/Servers
%if 0%{?suse_version}
Requires:     apache2 %{apache_mmn} 
%endif
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
Requires:     httpd
%endif
Autoreqprov:  on
Summary:      Apache2 module to use DNSBL
Source:       mod-spamhaus-0.7.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build


%description

mod_spamhaus is an Apache module that use DNSBL in order to block spam 
relay via web forms, preventing URL injection, block http DDoS attacks 
from bots and generally protecting your web service denying access to 
a known bad IP address. 

%prep
%setup -n %{modname} 

%build
%{apxs} -c src/mod_spamhaus.c

%install
#rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d
#cp -p .libs/%{modname}-%{version}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so
cp -p src/.libs/mod_spamhaus.so $RPM_BUILD_ROOT/%{apache_libexecdir}/mod_spamhaus.so

%files
%defattr(-,root,root)
%doc LICENSE
%doc ReadMe.txt

%{apache_libexecdir}/*.so

%changelog -n apache2-mod_spamhaus
* Tue Jun 16 2009 - jg@internetx.de
- bumped to 0.7

* Thu Oct 30 2008 - jg@internetx.de
- version bump to 0.6

* Wed Sep 24 2008 - jg@internetx.de
- initial build
